import Layout from "./components/layout";
import { UserController } from "./components/layout/UserController";
import { defineComponent } from "vue";
import { useAuth } from "@queenjs-modules/auth";

export default defineComponent({
  setup() {
    const auth = useAuth();
    const ctrl= new UserController();
    ctrl.loginOut = auth.actions.logout;

    return () => {
        ctrl.state.userInfo = auth.store.userInfo;
        return (
        <Layout
            Controller={ctrl}
            slots={{}}
        ></Layout>
    );
    }
  },
});
